svn commit: r307716 - stable/10/tests/sys/mac/bsdextended
Ngie Cooper
ngie at FreeBSD.org
Fri Oct 21 08:25:04 UTC 2016
Author: ngie
Date: Fri Oct 21 08:25:03 2016
New Revision: 307716
URL: https://svnweb.freebsd.org/changeset/base/307716
Log:
MFstable/11 r307715:
MFC r305916,r305918:
r305916:
Make sure $TMPDIR is created with 0755 permissions
This is required to ensure that the temporary script can be executed,
as the default mode is apparently too restrictive
r305918:
Only chmod $TMPDIR if it's not /tmp
This is a safety belt to ensure that the /tmp sticky bit stuff doesn't
get whacked by accident if someone runs the script outright
Modified:
stable/10/tests/sys/mac/bsdextended/matches_test.sh
Directory Properties:
stable/10/ (props changed)
Modified: stable/10/tests/sys/mac/bsdextended/matches_test.sh
==============================================================================
--- stable/10/tests/sys/mac/bsdextended/matches_test.sh Fri Oct 21 08:22:39 2016 (r307715)
+++ stable/10/tests/sys/mac/bsdextended/matches_test.sh Fri Oct 21 08:25:03 2016 (r307716)
@@ -36,6 +36,12 @@ if ! sysctl -N security.mac.bsdextended
echo "1..0 # SKIP mac_bsdextended(4) support isn't available"
exit 0
fi
+if [ "$TMPDIR" != "/tmp" ]; then
+ if ! chmod -Rf 0755 $TMPDIR; then
+ echo "1..0 # SKIP failed to chmod $TMPDIR"
+ exit 0
+ fi
+fi
if ! playground=$(mktemp -d $TMPDIR/tmp.XXXXXXX); then
echo "1..0 # SKIP failed to create temporary directory"
exit 0
More information about the svn-src-all
mailing list